// ------------------------------------------------------- 
// Copyright (C) Bradley M. Bell 2003, All rights reserved 
// ------------------------------------------------------- 
Keyword = 
[
"pycppad  pycppad-20121020: A Python Algorithm Derivative Package   algorithmic differentiation automatic",
"install  Installing pycppad   download unpack extract build debugging optimize python distutils test path",
"get_started.py  get_started: Example and Test  ",
"example  List of All the pycppad Examples  ",
"ad_variable  AD Variable Methods  ",
"ad_function  AD Function Methods  ",
"ad  Create an Object With One Higher Level of AD   increase a_float a2float",
"value  Create an Object With One Lower Level of AD   decrease",
"ad.py  ad: Example and Test  ",
"value.py  value: Example and Test  ",
"ad_unary  Unary Plus and Minus Operators   + -",
"ad_numeric  Binary Numeric Operators With an AD Result   + - * / ** plus minus times divide exponentiation",
"assign_op  Computed Assignment Operators   += -= *= /=",
"compare_op  Binary Comparison Operators   bool > < >= <= == !=",
"std_math  Standard Math Unary Functions   arccos arcsin arctan cosh exp log log10 sinh sqrt tanh",
"abs  Absolute Value Functions  ",
"condexp  Conditional Expressions   abs",
"ad_unary.py  Unary Plus and Minus Operators: Example and Test   + -",
"ad_numeric.py  Binary Numeric Operators With an AD Result: Example and Test   + - * / **",
"assign_op.py  Computed Assignment Operators: Example and Test   += -= *= /=",
"compare_op.py  a_float Comparison Operators: Example and Test   > < >= <= == != bool binary",
"std_math.py  Standard Math Unary Functions: Example and Test  ",
"abs.py  abs: Example and Test  ",
"condexp.py  condexp: Example and Test   conditional expression",
"independent  Create an Independent Variable Vector   variables recording start",
"adfun  Create an AD Function Object   dependent variables recording stop",
"abort_recording  Abort a Recording of AD Operations   independent",
"independent.py  independent: Example and Test  ",
"adfun.py  adfun: Example and Test  ",
"abort_recording.py  abort_recording: Example and Test  ",
"forward  Forward Mode: Derivative in One Domain Direction  ",
"reverse  Reverse Mode: Derivative in One Range Direction  ",
"jacobian  Driver for Computing Entire Derivative  ",
"hessian  Driver for Computing Hessian in a Range Direction   lagrangian",
"optimize  Optimize an AD Function Object Tape   sequence operations speed memory",
"forward_0.py  Forward Order Zero: Example and Test  ",
"forward_1.py  Forward Order One: Example and Test  ",
"reverse_1.py  Reverse Order One: Example and Test  ",
"reverse_2.py  Reverse Order Two: Example and Test  ",
"jacobian.py  Entire Derivative: Example and Test  ",
"hessian.py  Hessian Driver: Example and Test  ",
"optimize.py  Optimize Function Object: Example and Test   operation sequence",
"two_levels.py  Using Two Levels of AD: Example and Test   a2float",
"runge_kutta_4  Fourth Order Runge Kutta   ode solver runge-kutta",
"runge_kutta_4_correct.py  runge_kutta_4 A Correctness Example and Test   ode solution",
"runge_kutta_4_ad.py  runge_kutta_4 An AD Example and Test   ode solution derivative",
"runge_kutta_4_cpp.py  runge_kutta_4 With C++ Speed: Example and Test   python function tape evaluate solution",
"whats_new_12  Extensions, Bug Fixes, and Changes During 2012  ",
"whats_new_11  Extensions, Bug Fixes, and Changes During 2011  ",
"whats_new_10  Extensions, Bug Fixes, and Changes During 2010  ",
"whats_new_09  Extensions, Bug Fixes, and Changes During 2009   version feature",
"license  License   pycppad"
]

var MaxList = 100;
var Choice  = "";
var Nstring = -1;
var Nkeyword = Keyword.length;
Initialize();

function Initialize()
{
	var i;
	var line;
	for(i = 0; (i < Nkeyword) && (i < MaxList) ; i++)
	{
		line       = Keyword[i].split(/\s+/)
		line[0]    = line[0].toUpperCase();
		line       = line.join(" ");
		Keyword[i] = line;
	}
	UpdateList();
	document.search.string.focus();
}
function UpdateList(event)
{
	key = 0;
	if( window.event )
		key = window.event.keyCode;
	else if( event )
		key = event.which;
	if( key == 13 )
	{	Choose();
		return;
	}
	var string  = document.search.string.value;
	if( Nstring == string.length )
		return;
	Nstring     = string.length;

	var word    = string.match(/\S+/g);
	var nword   = 0;
	if(word != null )
		nword   = word.length;

	var pattern = new Array(nword);
	for(var j = 0; j < nword; j++)
		pattern[j] = new RegExp(word[j], "i");

	var nlist = 0;
	var list  = "";
	Choice    = "";

	for(i = 0; (i < Nkeyword) && (nlist < MaxList) ; i++)
	{
		var match = true;
		for(j = 0; j < nword; j++)
			match = match && pattern[j].test(Keyword[i]);

		if( match )
		{
			line     = Keyword[i].split(/\s+/);

			if( Choice == "" )
				Choice = line[0];

			line  = line.join(" ");
			list  = list + line + "\n";
			nlist = nlist + 1;
		}
	}
	document.search.choice.value  = Choice.toLowerCase();
	document.search.list.value    = list;
}
function Choose()
{
parent.location = document.search.choice.value.toLowerCase() + ".xml";
}
